{-# OPTIONS -cpp #-} 
module System.Compatiple where
import Data.List
import System.Cmd
import System.Directory


doesWxAppExist :: FilePath -> IO Bool
#ifdef darwin_HOST_OS
doesWxAppExist file = do
  cont <- getDirectoryContents $ (reverse . dropWhile (/= '/') . reverse) file
  return $ any ((wxAppName "") `isSuffixOf`) cont
#else
doesWxAppExist = doesFileExist . wxAppName
#endif  

removeWxApp :: FilePath -> IO ()
#ifdef darwin_HOST_OS
removeWxApp file = do
  system ("rm -rf " ++ (wxAppName file))
  return ()
#else
removeWxApp = removeFile . wxAppName
#endif


wxAppName :: FilePath -> FilePath
#ifdef darwin_HOST_OS
wxAppName = flip (++) ".app"
#elif define (mingw32_HOST_OS)
wxAppName = withExeExtension
#else
wxAppName = id
#endif


withExeExtension :: FilePath -> FilePath
#ifdef mingw32_HOST_OS
withExeExtension = flip (++) ".exe"
#else
withExeExtension = id
#endif
